Bug #25790

newest Index of FLOW3 throws error

Added by Regine Rosewich about 11 years ago. Updated almost 11 years ago.

Status:
Closed
Priority:
Should have
Category:
Error
Target version:
-
Start date:
2011-04-06
Due date:
% Done:

0%

Estimated time:
PHP Version:
Has patch:
Complexity:

Description

After having updated FLOW3 to the newest Index. I get odd errors when trying to start the FLOW3-Welcome Package

Uncaught Exception in FLOW3 #1297263663: Could not load object configuration from cache. This might be due to an unsuccessful compile run. One reason might be, that your PHP binary is not located in "/Applications/MAMP/bin/php5.3/bin/php". In that case, set the correct path to the PHP executable in Configuration/Settings.yaml, setting FLOW3.core.phpBinaryPathAndFilename.
thrown in file Packages/Framework/FLOW3/Classes/Core/Bootstrap.php
in line 369

The php binary is exactly at the location, the error message says. So this obviously is not the reason for the error. Concerning the unsuccessful compile, I threw away ../FLOW3/Data to force FLOW3 to do a completely new compile ==> same error.

Then I tried to compile from the command-line and got the following error (consider the Way the firs 'FLOW3' is written in the first line, whereas the Folder in the Folder Structure of my MAC is written 'FLOW3')

FLOW3: Invalid root path. (Error #1248964375)
"/Applications/MAMP/htdocs/Flow3/Packages/Framework/FLOW3/" does not lead to
"/Applications/MAMP/htdocs/FLOW3/Packages/Framework/FLOW3/" 

This error got away when setting the FLOW3_ROOTPATH Environment Variable explicitly to the wanted writing form. But then the error mentionned first was thrown again.

So as far as I can see, the caching mecanism has a problem. But which one?

Also available in: Atom PDF